petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagSetUniformCoordinates

set DMStag coordinates to be a uniform grid

### Synopsis

    PetscErrorCode DMStagSetUniformCoordinates(DM dm,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscReal zmin,PetscReal zmax)

Collective

### Input Parameters

| dm | - the DMStag object
| xmin,xmax,ymin,ymax,zmin,zmax | - maximum and minimum global coordinate values

### Notes

DMStag supports 2 different types of coordinate DM: DMSTAG and DMPRODUCT. Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMPRODUCT, DMStagSetUniformCoordinatesExplicit(), DMStagSetUniformCoordinatesProduct(), DMStagSetCoordinateDMType(), DMGetCoordinateDM(), DMGetCoordinates(), DMDASetUniformCoordinates()

### Level

advanced

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages